Subject: Re: [PATCH] i2c-cpm: Add flexibility for I2C clock frequency and filter.

From: Mike Ditto <[email-masked]>
Date: Wed, 05 Nov 2008 16:35:03 -0800

David Gibson wrote:
> What does worry me, however, is the description says it's about
> whether the driver "should" enable the filter.  Generally the device
> tree doesn't attempt to say what users "should" do with the hardware,
> just what the characteristics of the hardware are.
>
> What's the underlying difference here that affects the driver's choice
> to enable the filter or not?

I think it's a hardware/environment design parameter - e.g. if the I2C
bus has hot-pluggable devices, long PCB traces, or a hierarchy of
multiplexed bus segments, these can result in a noisy SCL signal that
needs to be filtered.  It's also a recommended mitigation for errata
in certain CPU revs.

					-=] Mike [=-